Subject: Re: [Tigers] Tigers Digest, Vol 14, Issue 69

From: "Ronak, T. \(Timothy\) via Tigers" <[email-masked]>
Date: Sat, 29 May 2021 01:20:56 +0000

I used to run the Centerforce Gold Dual Friction and it worked awesome with the 349 stroker but I do recall reinforcing the clutch arm as it had been damaged by the Heavy Duty Macleod clutch that was way too stiff and bent the arm due to force. The centerforce held up to the 381 wheel HP and 405 lb ft at the wheel. Pedal felt  like a Honda Civic clutch.

Stay Smiling ... 
Tim Ronak
Senior Services Consultant
AkzoNobel Automotive and Aerospace Coatings

 “If a man dwells on the past, then he robs the present. But if a man ignores the past, he may rob the future. The seeds of our destiny are nurtured by the roots of our past.” - Master Po - TV's Kung Fu

Sent from my iPhone

> On May 28, 2021, at 5:25 PM, [email-masked] wrote:
> 
> Send Tigers mailing list submissions to
>    [email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
>    http://autox.team.net/mailman/listinfo/tigers
> or, via email, send a message with subject or body 'help' to
>    [email-masked]
> 
> You can reach the person managing the list at
>    [email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Tigers digest..."
> 
> 
> Today's Topics:
> 
>   1. Re: Clutch issue (Michael Wood)
>   2. Clutch issue (Jerry Christopherson)
>   3. Re: Clutch issue (Michael Wood)
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Fri, 28 May 2021 21:00:50 +0000 (UTC)
> From: Michael Wood <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Subject: Re: [Tigers] Clutch issue
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> 
> Gary, we prototyped an Aussie Ford factory part (I think Thomo found it, originally) on my car, along with a Centerforce clutch. After six years and thousands of miles (my car gets driven a lot), it continues to work flawlessly. What I really like is how linear/smooth it feels. I've also run annular TO bearings on numerous formula cars I've raced with good reliability.?I hadn't heard Tom wasn't using them anymore. Wonder why??
> 
> 
> -----Original Message-----
> From: Gary <[email-masked]>
> To: Michael Wood <[email-masked]>
> Cc: [email-masked]
> Sent: Fri, May 28, 2021 1:01 pm
> Subject: Re: [Tigers] Clutch issue
> 
> Mike,Which one did you go with?Paul R. told me Tom doesn?t recommend them anymore?It seems like a great solution to me.??Everyone always points out how hard it isto replace it when it goes bad but it would?be a lot easier than the one in my C5 and Idid have to do that but it lasted 120K.Gary
> 
> Sent from my iPhone
> 
> On May 28, 2021, at 9:50 AM, Michael Wood <[email-masked]> wrote:
> 
> 
> 
> ?This whole discussion is part of the reason why I went to an annular throwout bearing on my car a number of years ago. The other reason was I just didn't like the affect all the external slave/arm geometry creates. I've been very happy with the change.?
> 
> 
> -----Original Message-----
> From: Ron Fraser via Tigers <[email-masked]>
> To: 'Gary' <[email-masked]>; [email-masked]
> Sent: Fri, May 28, 2021 8:50 am
> Subject: Re: [Tigers] Clutch issue
> 
> #yiv5687852743 -- filtered {}#yiv5687852743 filtered {}#yiv5687852743 filtered {}#yiv5687852743 p.yiv5687852743MsoNormal, #yiv5687852743 li.yiv5687852743MsoNormal, #yiv5687852743 div.yiv5687852743MsoNormal {margin:0in;margin-bottom:.0001pt;font-size:11.0pt;font-family:sans-serif;}#yiv5687852743 a:link, #yiv5687852743 span.yiv5687852743MsoHyperlink {color:blue;text-decoration:underline;}#yiv5687852743 pre {margin:0in;margin-bottom:.0001pt;font-size:10.0pt;}#yiv5687852743 span.yiv5687852743HTMLPreformattedChar {font-family:Consolas;}#yiv5687852743 span.yiv5687852743EmailStyle21 {font-family:sans-serif;color:windowtext;}#yiv5687852743 .yiv5687852743MsoChpDefault {font-size:10.0pt;}#yiv5687852743 filtered {}#yiv5687852743 div.yiv5687852743WordSection1 {}#yiv5687852743 
> Gary
> 
> ??????????????? My point here is that if you drop the clutch rod you?re not going anywhere.
> 
> ?
> 
> Your spring with the stock clip is excellent but what if something unexpected happens.
> 
> Rust happens, road debris happens, cylinder rubber seals degrade happens, many things can happen out on the road.
> 
> ?
> 
> Call it safety wire or tether wire, I want to make sure not matter what the clutch rod is not lost and I have to be towed.
> 
> Safety wire is usually stainless steel so it should not rust and it is just there with no tension or flexing, its just along for the ride until its needed.
> 
> ?
> 
> Ron Fraser
> 
> ?
> 
> ?
> 
> From: Tigers <[email-masked]> On Behalf Of Gary
> Sent: Friday, May 28, 2021 10:10 AM
> To: [email-masked]
> Subject: Re: [Tigers] Clutch issue
> 
> ?
> 
> I've never heard of safety wire but if you have the stock clip to hold the rod to the clutch arm,
> and you add a return spring to the clutch arm, there isn't much of a way for it to fall out.
> And you will get max stroke and save the throwout bearing.
> Gary
> 
> 
> 
> On 5/28/2021 5:19 AM, Ron Fraser wrote:
> 
> 
> Jerry
> 
> ??????????????? I always recommend that everyone should put safety wire on the clutch rod ? just in case the rod gets into a position it could fall.
> 
> ?
> 
> If the clutch rod falls out your basically a tow it away car.
> 
> I think I have a safety wire on the clutch rod to the clutch fork; this should prevent the rod from ever totally leaving the car. 
> 
> ?
> 
> Ron Fraser
> 
> ?
> 
> From: Tigers <[email-masked]> On Behalf Of Jerry Christopherson
> Sent: Friday, May 28, 2021 12:03 AM
> To: Tiger Autox <[email-masked]>
> Subject: [Tigers] Clutch issue
> 
> ?
> 
> Thanks for the ideas from all of you.? The issue of a longer push rod (which I have, 4.5 inches) is that you can only go up against the throw out bearing just so far.? Right now I?m touching the bearing (which I don?t want of course).? Today I received my order from S.S. (new kits for the master and slave) and it seems to have improved the issue, I?ll try driving the car tomorrow to see if it?s livable. I let someone talk me into a ?RAM clutch, should have gone with a Centerforce maybe?? Rick from S. S. said people have had good luck with them. ??I?m now of the feeling if you aren?t racing, a standard Mustang clutch is more than enough for the Tiger. ?The idea of a higher volume (larger dia.) master also suggested by Rick, is that it will make the peddle force higher.? Another issue is how far can one allow the slave? piston to travel without coming out of the cylinder (mine does not have the retaining clip like it shoes in the manual).? Mine has a max movement of around 1.350, The p
> iston could come out another .300 ,but that would have the front of the piston .300 past the end of the cylinder, probably not a good thing!
> 
> Thanks again for your responses!? Jerry
> 
> 
> 
> 
> _______________________________________________ ?[email-masked] ?Donate: http://www.team.net/donate.htmlArchive: http://www.team.net/pipermail/tigers http://autox.team.net/archive ?Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked] ? ?
> 
> ?
> _______________________________________________
> 
> [email-masked]
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive
> 
> Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]
> 
> 
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://autox.team.net/pipermail/tigers/attachments/20210528/24b0ddf1/attachment-0001.htm>
> 
> ------------------------------
> 
> Message: 2
> Date: Fri, 28 May 2021 16:49:36 -0500
> From: "Jerry Christopherson" <[email-masked]>
> To: "Tiger Autox" <[email-masked]>
> Subject: [Tigers] Clutch issue
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Well, I did some measuring today (by the way the new clutch and cylinder
> kits didn't solve my problem) and thought I would pass on info for anybody
> that is interested.
> 
> The actual amount of movement of the slave cylinder with a full to the floor
> movement of the clutch peddle is .745".  The measure of the piston movement
> from the very back to when the piston comes to the very front of the
> cylinder (not protruding) is like I mentioned before is 1.35", so that
> leaves approximately .605" more potential movement to apply to the clutch
> arm.  I'm hoping the .700 Girling master cylinder I just ordered will take
> up just that amount. I can only hope.  HA!  If not I'll pull the engine and
> tranny again and get a CF clutch.  As for a annular TO bearing, my friend
> has a highly modified Mazda with a 331 Ford engine for road racing with a
> annular TO bearing and it works very well with the stock master cylinder. I
> would be very interested in why TH doesn't like them anymore.
> 
> Jerry  
> 
> 
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://autox.team.net/pipermail/tigers/attachments/20210528/94102e0e/attachment-0001.htm>
> 
> ------------------------------
> 
> Message: 3
> Date: Sat, 29 May 2021 00:22:14 +0000 (UTC)
> From: Michael Wood <[email-masked]>
> To: "[email-masked]" <[email-masked]>,
>    "[email-masked]" <[email-masked]>
> Subject: Re: [Tigers] Clutch issue
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> 
> I just talked to Tom. He's still using and recommending use of a hydraulic/annular TO bearing. But, he won't use the McLeod piece, only Tilton, these days.?
> Mike
> 
> -----Original Message-----
> From: Jerry Christopherson <[email-masked]>
> To: Tiger Autox <[email-masked]>
> Sent: Fri, May 28, 2021 2:50 pm
> Subject: [Tigers] Clutch issue
> 
> <!--#yiv0573246600 _filtered {}#yiv0573246600 #yiv0573246600 p.yiv0573246600MsoNormal, #yiv0573246600 li.yiv0573246600MsoNormal, #yiv0573246600 div.yiv0573246600MsoNormal {margin:0in;margin-bottom:.0001pt;font-size:11.0pt;font-family:"Calibri", "sans-serif";}#yiv0573246600 a:link, #yiv0573246600 span.yiv0573246600MsoHyperlink {color:blue;text-decoration:underline;}#yiv0573246600 a:visited, #yiv0573246600 span.yiv0573246600MsoHyperlinkFollowed {color:purple;text-decoration:underline;}#yiv0573246600 span.yiv0573246600EmailStyle17 {font-family:"Arial", "sans-serif";color:windowtext;}#yiv0573246600 .yiv0573246600MsoChpDefault {font-family:"Calibri", "sans-serif";} _filtered {}#yiv0573246600 div.yiv0573246600WordSection1 {}-->
> Well, I did some measuring today (by the way the new clutch and cylinder kits didn?t solve my problem) and thought I would pass on info for anybody that is interested.
> 
> The actual amount of movement of the slave cylinder with a full to the floor movement of the clutch peddle is .745?.? The measure of the piston movement from the very back to when the piston comes to the very front of the cylinder (not protruding) is like I mentioned before is 1.35?, so that leaves approximately .605? more potential movement to apply to the clutch arm.? I?m hoping the .700 Girling master cylinder I just ordered will take up just that amount. I can only hope.? HA!? If not I?ll pull the engine and tranny again and get a CF clutch.? As for a annular TO bearing, my friend has a highly modified Mazda with a 331 Ford engine for road racing with a annular TO bearing and it works very well with the stock master cylinder. I would be very interested in why TH doesn?t like them anymore.
> 
> Jerry? 
> 
> ?
> _______________________________________________
> 
> [email-masked]
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive
> 
> Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]
> 
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://autox.team.net/pipermail/tigers/attachments/20210529/341ea48e/attachment.htm>
> 
> ------------------------------
> 
> Subject: Digest Footer
> 
> _______________________________________________
> Tigers mailing list
> [email-masked]
> http://autox.team.net/mailman/listinfo/tigers
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive
> 
> 
> ------------------------------
> 
> End of Tigers Digest, Vol 14, Issue 69
> **************************************
_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]